library(stockassessment)
load("run/model.RData")
FC<-list()
set.seed(12345)

FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,1,1), label="SQ all years")
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,NA,NA,NA), fval=c(NA,0.000001,0.000001, 0.000001), label="SQ then zero")

## JH
set.seed(100)
FmsySpr<-0.34
FC[[length(FC)+1]] <- forecast(fit, 
	fscale=c(NA,NA,NA,NA),
	catchval = c(245200,NA,NA,NA),
	fval=c(NA,FmsySpr,FmsySpr,FmsySpr),
	year.base = max(fit$data$years),
	ave.years = max(fit$data$years) + (-3:-1),
	rec.years = max(fit$data$years) + (-33:-1), 
    nosim=1000, 
    label="TAC then Fmsy"
    )

# FC[[length(FC)+1]] <- forecast(fit, fscale=c(NA,NA,NA,NA),	catchval = c(245200,NA,NA,NA),fval=c(NA,FmsySpr,FmsySpr,FmsySpr), label="TAC then Fmsy" )

## end JH



save(FC, file="run/forecast.RData")
